Follow

Minimum Requirements

What are the minimum requirements for Hosted Desktop?

Windows

  • Windows Vista, Windows XP Embedded (with the latest updates).
    Please note that Windows XP SP3 is compatible with some versions of Citrix Receiver, but is no longer supported.
  • Citrix Receiver 4.0 or higher.
    Please note that Citrix Online Plugin, Citrix Receiver version 3.x, 13.x or older are no longer supported.
  • Internet Explorer 8 (with Javascript enabled).

Windows Phone

  • Windows Phone 8
  • Citrix Receiver for Windows Phone 8 1.2.2

Apple OS X

  • Apple OS X 10.7
  • Citrix Receiver for Mac 11.9.
    Please note that Citrix Receiver for Mac 11.7, 11.8 and 11.8.2 (with supporting OS X releases) are compatible, but no longer supported.
  • Safari 5.0

Apple iOS

  • Apple iOS 6.1
  • Citrix Receiver for iOS 5.9.
    Please note that users will need to open the ICA file manually.

Linux

  • Citrix Receiver for Linux 13
  • Supported Linux operating systems

Android

  • Android 4.x
  • Citrix Receiver for Android 3.6.
    Please note that users will need to open the ICA file manually.

Further reference:

Citrix Storefront requirements for all operating systems - http://docs.citrix.com/en-us/storefront/2-6/dws-system-requirements/dws-system-requirements-client.html

Windows SHA2 Compatibility - https://support.globalsign.com/customer/portal/articles/1499561-sha-256-compatibility

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk